Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.wli.common
Enum Conversation.Phase

    java.lang.Object
      java.lang.Enum<Conversation.Phase>
          com.bea.wli.common.Conversation.Phase

All Implemented Interfaces:
  Serializable, Comparable<Conversation.Phase>

Enclosing class:
  Conversation

    public static enum Conversation.Phase

extends Enum<Conversation.Phase>

Conversation Phases allowed on Operation

Enum Constant Summary
`CONTINUE`
`FINISH`
`NONE`
`START`

Method Summary
`static Conversation.Phase` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Conversation.Phase[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### START

    public static final Conversation.Phase START

### CONTINUE

    public static final Conversation.Phase CONTINUE

### FINISH

    public static final Conversation.Phase FINISH

### NONE

    public static final Conversation.Phase NONE

Method Detail

### values

    public static final Conversation.Phase[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Conversation.Phase c : Conversation.Phase.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Conversation.Phase valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD